from django import template
import patt
from ..search import mk_search_pattern


register = template.Library()


@register.simple_tag(name='url_taskedit', takes_context=True)
def url_taskedit(context, task):
    return patt.url_taskedit(context['request'], task.id)


@register.simple_tag(name='url_taskset_priority', takes_context=True)
def url_taskset_priority(context, task, target_priority):
    return patt.url_taskset(context['request'], task.id, priority=target_priority)


@register.simple_tag(name='url_taskset_state', takes_context=True)
def url_taskset_state(context, task, target_state):
    return patt.url_taskset(context['request'], task.id, state=target_state)


@register.simple_tag(name='url_commentnew', takes_context=True)
def url_commentnew(context, task):
    return patt.url_commentnew(context['request'], task.id)


@register.simple_tag(name='url_projectedit', takes_context=True)
def url_projectedit(context, project):
    return patt.url_projectedit(context['request'], project.id)


@register.simple_tag(name='url_tasklist_for_project', takes_context=True)
def url_tasklist_for_project(context, project):
    request = context['request']
    return patt.url_tasklist(request, search_txt=mk_search_pattern(prj_ids=[project.id]))
